%global upstream_name k5test
%global module_name %{upstream_name}

Name: python-%{upstream_name}
Version: 0.10.1
Release: 2%{?dist}
Summary: Self-contained Kerberos 5 test environments
# The entire source code is ISC except k5test/realm.py which is MIT
License: ISC and MIT
URL: https://github.com/pythongssapi/k5test

Source0: %{url}/archive/v%{version}/%{upstream_name}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: python3-devel

%global _description %{expand:
Library for setting up self-contained Kerberos 5 environments, and running
Python unit tests inside those environments.}

%description %_description

%package -n python3-%{upstream_name}
Summary: %{summary}

Requires: krb5-devel
Requires: krb5-workstation
Requires: krb5-server

%description -n python3-%{upstream_name} %_description

%prep
%autosetup -p1 -n %{upstream_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module_name}

%files -n python3-%{upstream_name}
%{python3_sitelib}/%{module_name}/
%{python3_sitelib}/%{module_name}-%{version}.dist-info/
%license LICENSE.txt K5TEST-LICENSE.txt
%doc README.md CODE_OF_CONDUCT.md

%changelog
* Tue Jun 21 2022 Julien Rische <jrische@redhat.com> - 0.10.1-2
- Initial package release
